# Uses of Enum Class io.dapr.v1.CommonProtos.StateOptions.StateConcurrency (dapr-sdk-parent 1.12.2 API)
use: package: io.dapr.v1, class: CommonProtos, class: StateOptions, enum: StateConcurrency

# Uses of Enum Class
io.dapr.v1.CommonProtos.StateOptions.StateConcurrency

Packages that use CommonProtos.StateOptions.StateConcurrency
Package
Description
io.dapr.v1

## Uses of CommonProtos.StateOptions.StateConcurrency in io.dapr.v1

Methods in io.dapr.v1 that return CommonProtos.StateOptions.StateConcurrency
Modifier and Type
Method
Description
`static CommonProtos.StateOptions.StateConcurrency`
CommonProtos.StateOptions.StateConcurrency.`forNumber(int value)`
`CommonProtos.StateOptions.StateConcurrency`
CommonProtos.StateOptions.Builder.`getConcurrency()`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
`CommonProtos.StateOptions.StateConcurrency`
CommonProtos.StateOptions.`getConcurrency()`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
`CommonProtos.StateOptions.StateConcurrency`
CommonProtos.StateOptionsOrBuilder.`getConcurrency()`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
`static CommonProtos.StateOptions.StateConcurrency`
CommonProtos.StateOptions.StateConcurrency.`valueOf(int value)`
Deprecated.
`static CommonProtos.StateOptions.StateConcurrency`
CommonProtos.StateOptions.StateConcurrency.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static CommonProtos.StateOptions.StateConcurrency`
CommonProtos.StateOptions.StateConcurrency.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CommonProtos.StateOptions.StateConcurrency[]`
CommonProtos.StateOptions.StateConcurrency.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in io.dapr.v1 that return types with arguments of type CommonProtos.StateOptions.StateConcurrency
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.StateOptions.StateConcurrency>`
CommonProtos.StateOptions.StateConcurrency.`internalGetValueMap()`
Methods in io.dapr.v1 with parameters of type CommonProtos.StateOptions.StateConcurrency
Modifier and Type
Method
Description
`CommonProtos.StateOptions.Builder`
CommonProtos.StateOptions.Builder.`setConcurrency(CommonProtos.StateOptions.StateConcurrency value)`
`.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`